/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package DataEntryBean;

/**
 *
 * @author 590685
 */
public class pdsStockRegisterBean {

    private String productName;
    private String productDetails;
    private String productType;
    private String productSubType;
     private String productDescription;
    private String productSubTypeDescription;
    private String productId;
    private String productIdSearch;
    private String price;
    private String unit;
    private String quantity;
    private String total;
    private String purchaseDate;
    private String perishableFlag;
    private String stockExpiryDate;
    private String stockEntryDate;
    private String toDate;
    private String fromDate;
    private String quantityAvailable;
    private String quantityAbled;
    private String stockId;

    public String getProductIdSearch() {
        return productIdSearch;
    }

    public void setProductIdSearch(String productIdSearch) {
        this.productIdSearch = productIdSearch;
    }


    public String getProductDescription() {
        return productDescription;
    }

    public void setProductDescription(String productDescription) {
        this.productDescription = productDescription;
    }

    public String getProductSubTypeDescription() {
        return productSubTypeDescription;
    }

    public void setProductSubTypeDescription(String productSubTypeDescription) {
        this.productSubTypeDescription = productSubTypeDescription;
    }


    public String getStockEntryDate() {
        return stockEntryDate;
    }

    public void setStockEntryDate(String stockEntryDate) {
        this.stockEntryDate = stockEntryDate;
    }


    public String getProductSubType() {
        return productSubType;
    }

    public void setProductSubType(String productSubType) {
        this.productSubType = productSubType;
    }

    public String getProductType() {
        return productType;
    }

    public void setProductType(String productType) {
        this.productType = productType;
    }

    public String getPerishableFlag() {
        return perishableFlag;
    }

    public void setPerishableFlag(String perishableFlag) {
        this.perishableFlag = perishableFlag;
    }

    public String getProductDetails() {
        return productDetails;
    }

    public void setProductDetails(String productDetails) {
        this.productDetails = productDetails;
    }

    public String getStockExpiryDate() {
        return stockExpiryDate;
    }

    public void setStockExpiryDate(String stockExpiryDate) {
        this.stockExpiryDate = stockExpiryDate;
    }

    public String getStockId() {
        return stockId;
    }

    public void setStockId(String stockId) {
        this.stockId = stockId;
    }

    public String getQuantityAvailable() {
        return quantityAvailable;
    }

    public void setQuantityAvailable(String quantityAvailable) {
        this.quantityAvailable = quantityAvailable;
    }

    public String getQuantityAbled() {
        return quantityAbled;
    }

    public void setQuantityAbled(String quantityAbled) {
        this.quantityAbled = quantityAbled;
    }

    public String getFromDate() {
        return fromDate;
    }

    public void setFromDate(String fromDate) {
        this.fromDate = fromDate;
    }

    public String getToDate() {
        return toDate;
    }

    public void setToDate(String toDate) {
        this.toDate = toDate;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getPurchaseDate() {
        return purchaseDate;
    }

    public void setPurchaseDate(String purchaseDate) {
        this.purchaseDate = purchaseDate;
    }

    public String getQuantity() {
        return quantity;
    }

    public void setQuantity(String quantity) {
        this.quantity = quantity;
    }

    public String getTotal() {
        return total;
    }

    public void setTotal(String total) {
        this.total = total;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }
}
